Bug 1121150 - [abrt] WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:264 dev_watchdog+0x266/0x270()
Summary: [abrt] WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:264 dev_watchdog+0x2...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:485da468314bf939cb19fb131e9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-18 13:46 UTC by Pierre
Modified: 2014-11-18 12:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-18 12:21:43 UTC


Attachments (Terms of Use)
File: dmesg (73.30 KB, text/plain)
2014-07-18 13:46 UTC, Pierre
no flags Details

Description Pierre 2014-07-18 13:46:27 UTC
Additional info:
reporter:       libreport-2.2.2
WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:264 dev_watchdog+0x266/0x270()
NETDEV WATCHDOG: eth0 (ipheth): transmit queue 0 timed out
Modules linked in: ipheth xt_CHECKSUM tun fuse ip6t_rpfilter ip6t_REJECT xt_conntrack bnep bluetooth cfg80211 rfkill ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_usb_audio uvcvideo snd_usbmidi_lib videobuf2_vmalloc videobuf2_memops iTCO_wdt videobuf2_core videodev snd_hda_codec_analog snd_rawmidi media snd_hda_codec_generic iTCO_vendor_support joydev coretemp kvm_intel ppdev snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep dcdbas snd_seq snd_seq_device snd_pcm kvm snd_timer snd soundcore microcode serio_raw i2c_i801 lpc_ich mfd_core parport_pc tpm_tis parport tpm shpchp nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc uas usb_storage radeon ata_generic pata_acpi tg3 i2c_algo_bit drm_kms_helper ptp pps_core ttm drm i2c_core
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 3.15.4-200.fc20.x86_64 #1
Hardware name: Dell Inc.                 OptiPlex 745                 /0HR330, BIOS 2.3.1  05/21/2007
 0000000000000000 2be3daaec0a915f1 ffff8800bf843d98 ffffffff816ef2b1
 ffff8800bf843de0 ffff8800bf843dd0 ffffffff8108934d 0000000000000000
 ffff880078cf9000 0000000000000001 0000000000000001 ffff880078cf9000
Call Trace:
 <IRQ>  [<ffffffff816ef2b1>] dump_stack+0x45/0x56
 [<ffffffff8108934d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810893cc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff81603fb6>] dev_watchdog+0x266/0x270
------------[ cut here ]------------
WARNING: CPU: 1 PID: 0 at net/sched/sch_generic.c:264 dev_watchdog+0x266/0x270()
NETDEV WATCHDOG: eth0 (ipheth): transmit queue 0 timed out
Modules linked in: ipheth xt_CHECKSUM tun fuse ip6t_rpfilter ip6t_REJECT xt_conntrack bnep bluetooth cfg80211 rfkill ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_usb_audio uvcvideo snd_usbmidi_lib videobuf2_vmalloc videobuf2_memops iTCO_wdt videobuf2_core videodev snd_hda_codec_analog snd_rawmidi media snd_hda_codec_generic iTCO_vendor_support joydev coretemp kvm_intel ppdev snd_hda_intel snd_hda_controller snd_hda_codec snd_hwdep dcdbas snd_seq snd_seq_device snd_pcm kvm snd_timer snd soundcore microcode serio_raw
i2c_i801 lpc_ich mfd_core parport_pc tpm_tis parport tpm shpchp nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc uas usb_storage radeon ata_generic pata_acpi tg3 i2c_algo_bit drm_kms_helper ptp pps_core ttm drm i2c_core
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 3.15.4-200.fc20.x86_64 #1
Hardware name: Dell Inc.                 OptiPlex 745                 /0HR330, BIOS 2.3.1  05/21/2007
0000000000000000 2be3daaec0a915f1 ffff8800bf843d98 ffffffff816ef2b1
ffff8800bf843de0 ffff8800bf843dd0 ffffffff8108934d 0000000000000000
ffff880078cf9000 0000000000000001 0000000000000001 ffff880078cf9000
Call Trace:
<IRQ>  [<ffffffff816ef2b1>] dump_stack+0x45/0x56
[<ffffffff8108934d>] warn_slowpath_common+0x7d/0xa0
[<ffffffff810893cc>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff81603fb6>] dev_watchdog+0x266/0x270
[<ffffffff81603d50>] ? dev_graft_qdisc+0x80/0x80
 [<ffffffff81603d50>] ? dev_graft_qdisc+0x80/0x80
 [<ffffffff81094f46>] call_timer_fn+0x36/0x100
 [<ffffffff81603d50>] ? dev_graft_qdisc+0x80/0x80
 [<ffffffff81096962>] run_timer_softirq+0x212/0x2f0
 [<ffffffff8108e7d5>] __do_softirq+0xf5/0x2a0
 [<ffffffff8108ebed>] irq_exit+0xbd/0xd0
 [<ffffffff817015f5>] smp_apic_timer_interrupt+0x45/0x60
 [<ffffffff816fff5d>] apic_timer_interrupt+0x6d/0x80
 <EOI>  [<ffffffff81053576>] ? native_safe_halt+0x6/0x10
 [<ffffffff8101cdaf>] default_idle+0x1f/0xc0
 [<ffffffff8101d69f>] arch_cpu_idle+0xf/0x20
 [<ffffffff810d0841>] cpu_startup_entry+0x251/0x410
 [<ffffffff81043f2b>] start_secondary+0x22b/0x310

Comment 1 Pierre 2014-07-18 13:46:31 UTC
Created attachment 919093 [details]
File: dmesg

Comment 2 Justin M. Forbes 2014-11-13 15:57:32 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 3 Archie Warnock 2014-11-17 05:37:46 UTC
I think it's already been reported through abrt today but I'm seeing the exact same bug, exact same reported line (net/sched/sch_generic.c:264), with 3.1.2-200.fc20.x86-64.

Comment 4 Archie Warnock 2014-11-18 03:04:15 UTC
I uninstalled dnf (along with dependencies initial-setup and anaconda) because it looked like, from the log, that the crash was related to cron updating dnf or perhaps some conflict with yum.  It's been about 36 hours and so far, no repeat of the crash.  This will probably jinx me but it's been stable so far after several days of repeated crashes.

Hope this additional infomration helps.


Note You need to log in before you can comment on or make changes to this bug.